use 5.005;
use strict;

use ExtUtils::MakeMaker;

WriteMakefile(
	NAME => 'TextPipe',
	DISTNAME => 'TextPipe',
	dist => {
		# default CP 'ln' is buggy, it changes source file permissions
		DIST_CP => 'cp',
	},
	test => {
		TESTS => 't/*.t',
	},
	PM => {
		map {
			my $t = $_; $t =~ s!^perllib/!!;
			($_, '$(INST_LIBDIR)/' . $t)
		} "perllib/TextPipe.pm"
	},
	# this translation should not be needed, but MakeMaker is buggy again
	MAN3PODS => {
		map {
			my $t = $_; $t =~ s!^perllib/!!; 
			$t =~ s!/!::!g; $t =~ s/\.pm$//;
			($_, '$(INST_MAN3DIR)/' . "$t.3pm")
		} "perllib/TextPipe.pm"
	},
	VERSION_FROM => 'perllib/TextPipe.pm',
	ABSTRACT_FROM => 'perllib/TextPipe.pm',
	AUTHOR => 'Andrea Rota <a@xelera.it>',
);

open MANIFEST, "<MANIFEST";
my @old_lines = grep !/^META.yml/, <MANIFEST>;
close MANIFEST;
my @new_lines = map { "$_\n" } (
	qw(
		AUTHORS
		COPYING
		Makefile.PL
		MANIFEST
		INSTALL
		README
		TODO
	),
#	glob("doc/*"),
	"perllib/TextPipe.pm",
);
if (join(',', @old_lines) ne join(',', @new_lines)) {
	print "Creating MANIFEST file\n";
	open MANIFEST, ">MANIFEST" or die "Can't write MANIFEST: $!\n";
	print MANIFEST @new_lines;
	close MANIFEST;
}

sub MY::postamble {
	return <<'MAKE_FRAG';
MAKE_FRAG
}
